Bug 63106 - php-4.0.6-14 not complied with ttf support
Summary: php-4.0.6-14 not complied with ttf support
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-10 02:39 UTC by Michael Davies
Modified: 2007-04-18 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-06 20:47:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Davies 2002-04-10 02:39:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
This errata version of php (php-4.0.6-14) has not been compiled with true type 
font support like previous versions of php.  I believe this problem probably 
exists for all platforms that have this errata RPM.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use PHP's auto-image generation capability as described in 
http://au.php.net/manual/en/ref.image.php
2. Observe that auto-generated graphics with true type fonts don't render 
properly (ie no text at all).
3. Look /etc/httpd/logs/error_log to see stuff like:

[Tue Apr  9 17:58:46 2002] [error] PHP Warning:  ImageTtfText: No TTF support 
in this PHP build in /var/www/html/my-application/...


Actual Results:  As above

Expected Results:  As above

Additional info:

This is frustrating.  I deployed this errata RPM to a customer's site and now 
have to downgrade. Don't you guys have a Makefile for compile options?

If you need any assistance I am very happy to help.  Just email 
michaeld@senet.com.au

Thanks in advance,

Michael...

Comment 1 Trevor Cordes 2002-05-06 20:47:29 UTC
Confirmed.  Our web site depends on TTF support to produce buttons on-the-fly. 
Please issue an errata asap.


Comment 2 Phil Copeland 2002-06-04 18:58:59 UTC
Fixed for errata

Phil
=--=

Comment 3 P. Bos 2002-06-04 19:11:06 UTC
Where can i find the fix?

Comment 4 Phil Copeland 2002-06-05 15:41:00 UTC
It'll be released in a few days after it goes through QA

Phil
=--=

Comment 5 P. Bos 2002-06-28 06:34:33 UTC
Still not ready to use the fix?

We still need it badly.


Note You need to log in before you can comment on or make changes to this bug.